Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163149

Summary: Sources iso in all distributions
Product: [Fedora] Fedora Reporter: DaLiV <daliv.tyw>
Component: fedora-releaseAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dgregor, katzj, mikem, sopwith, wtogami
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-22 23:19:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150221, 173322, 178862    

Description DaLiV 2005-07-13 14:51:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.9) Gecko/20050710

Description of problem:
I'm think 
FC4-x86_64-SRPMS-disc1.iso
FC4-x86_64-SRPMS-disc2.iso
FC4-x86_64-SRPMS-disc3.iso
FC4-x86_64-SRPMS-disc4.iso
and
FC4-i386-SRPMS-disc1.iso
FC4-i386-SRPMS-disc2.iso
FC4-i386-SRPMS-disc3.iso
FC4-i386-SRPMS-disc4.iso 

contain the same files and extracted on most mirrors into directory SRPMS. - are that really need to make 2 types of SRPMS disc images ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.look at any mirror  

Expected Results:  one SRPMS distribution place
FC4-SRPMS-disc[1-4].iso


Additional info:

Comment 1 Warren Togami 2005-09-05 11:17:07 UTC
Good question, Jeremy or Elliot?

Comment 2 Jeremy Katz 2005-09-07 18:07:51 UTC
This is done entirely by builddistro.  It's not obvious or easy as the trees are
composed entirely separately and the set of SRPMs is not identical across arches.

Comment 3 Jesse Keating 2006-01-24 00:52:02 UTC
Even though the set of SRPMS may not be the same, the ones that are common, they
should be the same no?  Why then would it matter if the ones used per arch
differ?  The unified set could just contain them all.

Comment 4 Warren Togami 2006-01-24 01:54:14 UTC
Agreed, simply contain all in the unified SRPM discs.



Comment 5 DaLiV 2006-01-24 09:25:15 UTC
also .spec files may be rewrited to unified form - this possibility exist
(conditional compilation on architecture). Or sources of packages (not spec
files - but real sources) is modified per arch?

Comment 6 Jesse Keating 2006-02-22 23:19:51 UTC
distill has been modified to accomplish this.  FC5 Test3 was released this way.